Creates a new driver.

Creates a new driver.

📘

The rate limit for this API is normal.

Body Params
string
required

Represents first name of the driver.

string
required

Represents last name of the driver.

boolean

Represents a flag for driver's access to the application using email. If hasAppAccess is true, email must be provided.

string | null

Represents the email ID of the driver. Either email or tachoCardDetails or driver code must be provided.

string | null

Represents the language used by the driver. Must be a valid ISO 639-1 two-letter language code (e.g., 'en', 'de', 'fr').

boolean | null

Represents a flag for driver's access to the application using driver code. If driverCodeAppAccess is true, driver code and PIN must be provided.

string | null

Represents the driver code used by the driver to login to application. This is required when driverCodeAppAccess is true. Either email or tachoCardDetails or driver code must be provided. Driver code must be between 4 and 27 characters. Driver code must contain only uppercase letters (A-Z) and digits (0-9).

string | null

Represents the PIN used by the driver to login to application. This is required when driverCodeAppAccess is true. Pin must be between 6 and 72 characters. Pin must contain only digits (0-9) and No pattern like '123456' or '111111' Please choose a more secure PIN.

tachoCardDetails
object

Either email or tachoCardDetails or driver code must be provided.

assignees
object
Responses

401

Failure code. Unauthorized access.

403

Failure code. Forbidden access.

429

Too many requests.

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json